<?php

/**
 * @file
 * Default theme implementation to present all variables to the theme layer for
 * the logged-in user block of the user_details module.
 *
 * Useable variables: (syntax: <?php print variable; ?>)
 * - $user_details_loggedin_name (user name of the logged-in user)
 * - $user_details_loggedin_avatar (user avatar of the logged-in user)
 * - $user_details_loggedin_joined (logged-in user's account creation date)
 * - $user_details_loggedin_postcount (number of posts the logged-in user has created)
 * - $user_details_loggedin_points (number of user points the logged-in user has)
 * - $user_details_loggedin_rank (logged-in user's user role)
 * - $user_details_loggedin_content (logged-in user's 3 most recently updated pieces of content)
 * - $user_details_loggedin_profilelink (link to the logged-in users profile)
 * - $user_details_loggedin_subscriptionslink (link to the logged-in user's subscription overview tab on thier profile)
 * - $user_details_loggedin_createlink (link to the create content page)
 * - $user_details_loggedin_logoutlink (link to logout the logged-in user)
 */
?>
<div id="user-details">
  <div id="loggedin">
    <?php if (variable_get('user_details_loggedin_name') != 0): ?>
      <div class="user-name"><?php print $user_details_loggedin_name; ?></div>
    <?php endif; ?>
    <?php if (variable_get('user_details_loggedin_avatar') != 0): ?>
      <div class="user-avatar"><?php print $user_details_loggedin_avatar; ?></div>
    <?php endif; ?>
    <?php if (variable_get('user_details_loggedin_joined')!= 0): ?>
      <div class="user-joined">
        <div class="title">Joined: </div>
        <div class="result"><?php print $user_details_loggedin_joined; ?></div>
      </div>
    <?php endif; ?>
    <?php if (variable_get('user_details_loggedin_postcount') != 0): ?>
      <div class="user-post-count">
        <div class="title">Posts: </div>
        <div class="result"><?php print $user_details_loggedin_postcount; ?></div>
      </div>
    <?php endif; ?>
    <?php if (variable_get('user_details_loggedin_points') != 0): ?>
      <div class="user-points">
        <div class="title">Points: </div>
        <div class="result"><?php print $user_details_loggedin_points; ?></div>
      </div>
    <?php endif; ?>
    <?php if (variable_get('user_details_loggedin_rank') != 0): ?>
      <div class="user-rank">
        <div class="title">Rank: </div>
        <div class="result"><?php print $user_details_loggedin_rank; ?></div>
      </div>
    <?php endif; ?>
    <?php if (variable_get('user_details_loggedin_content') != 0): ?>
      <div class="user-content">
        <hr>
        <div class="title">My Content</div>
        <ul class="result">
          <?php print $user_details_loggedin_content; ?>
        </ul>
      </div>
    <?php endif; ?>
    <?php if (variable_get('user_details_loggedin_profilelink') != 0 || variable_get('user_details_loggedin_subscriptionslink') != 0 || variable_get('user_details_loggedin_createlink') != 0 || variable_get('user_details_loggedin_logoutlink') != 0): ?>
      <div class="quick-links">
        <hr>
        <div class="title">My Quick Links</div>
        <ul>
          <?php if (variable_get('user_details_loggedin_profilelink') != 0): ?>
            <li class="profile-link"><?php print $user_details_loggedin_profilelink; ?></li>
          <?php endif; ?>
          <?php if (variable_get('user_details_loggedin_subscriptionslink') != 0): ?>
            <li class="subscriptions-link"><?php print $user_details_loggedin_subscriptionslink; ?></li>
          <?php endif; ?>
          <?php if (variable_get('user_details_loggedin_createlink') != 0): ?>
            <li class="create-link"><?php print $user_details_loggedin_createlink; ?></li>
          <?php endif; ?>
          <?php if (variable_get('user_details_loggedin_logoutlink') != 0): ?>
            <li class="logout-link"><?php print $user_details_loggedin_logoutlink; ?></li>
          <?php endif; ?>
        </ul>
      </div>
    <?php endif; ?>
  </div>
</div>